Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractMenuGroup
                      org.richfaces.component.UIMenuGroup

All Implemented Interfaces:
  EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.2.3.CR1"})
    public class UIMenuGroup

extends AbstractMenuGroup
implements javax.faces.component.behavior.ClientBehaviorHolder

The <rich:menuGroup> component represents an expandable sub-menu in a menu control. The <rich:menuGroup> component can contain a number of <rich:menuItem> components, or further nested <rich:menuGroup> components.

Nested Class Summary
`protected static class` | `UIMenuGroup.Properties`

Nested classes/interfaces inherited from class org.richfaces.component.AbstractMenuGroup
`AbstractMenuGroup.Facets`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIMenuGroup()`

Method Summary
`String` | `getDefaultEventName()`
`String` | `getDir()`
`org.richfaces.component.Positioning` | `getDirection()`
`Collection<String>` | `getEventNames()`
`String` | `getFamily()`
`int` | `getHorizontalOffset()`
`String` | `getIcon()` The icon to be displayed with the menu item
`String` | `getIconDisabled()` The icon to be displayed with the menu item when it is disabled
`org.richfaces.component.Positioning` | `getJointPoint()`
`String` | `getLabel()` The text label for the menu item.
`String` | `getLang()`
`String` | `getOnclick()`
`String` | `getOndblclick()`
`String` | `getOnhide()` The client-side script method to be called when this menuGroup is hidden
`String` | `getOnkeydown()`
`String` | `getOnkeypress()`
`String` | `getOnkeyup()`
`String` | `getOnmousedown()`
`String` | `getOnmousemove()`
`String` | `getOnmouseout()`
`String` | `getOnmouseover()`
`String` | `getOnmouseup()`
`String` | `getOnshow()` The client-side script method to be called when this menuGroup is shown
`String` | `getStyle()`
`String` | `getStyleClass()`
`String` | `getTitle()`
`Object` | `getValue()`
`int` | `getVerticalOffset()`
`boolean` | `isDisabled()` Disables the menu component, so it will not activate/expand
`void` | `setDir(String dir)`
`void` | `setDirection(org.richfaces.component.Positioning direction)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHorizontalOffset(int horizontalOffset)`
`void` | `setIcon(String icon)`
`void` | `setIconDisabled(String iconDisabled)`
`void` | `setJointPoint(org.richfaces.component.Positioning jointPoint)`
`void` | `setLabel(String label)`
`void` | `setLang(String lang)`
`void` | `setOnclick(String onclick)`
`void` | `setOndblclick(String ondblclick)`
`void` | `setOnhide(String onhide)`
`void` | `setOnkeydown(String onkeydown)`
`void` | `setOnkeypress(String onkeypress)`
`void` | `setOnkeyup(String onkeyup)`
`void` | `setOnmousedown(String onmousedown)`
`void` | `setOnmousemove(String onmousemove)`
`void` | `setOnmouseout(String onmouseout)`
`void` | `setOnmouseover(String onmouseover)`
`void` | `setOnmouseup(String onmouseup)`
`void` | `setOnshow(String onshow)`
`void` | `setStyle(String style)`
`void` | `setStyleClass(String styleClass)`
`void` | `setTitle(String title)`
`void` | `setValue(Object value)`
`void` | `setVerticalOffset(int verticalOffset)`

Methods inherited from class org.richfaces.component.AbstractMenuGroup
`getCssRoot`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, markInitialState, restoreState, saveState, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIMenuGroup

    public UIMenuGroup()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### getEventNames

    public Collection<String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getDir

    public String getDir()

### setDir

    public void setDir(String dir)

### getDirection

    public org.richfaces.component.Positioning getDirection()

  Specified by:
    `getDirection` in class `AbstractMenuGroup`

### setDirection

    public void setDirection(org.richfaces.component.Positioning direction)

### isDisabled

    public boolean isDisabled()

  Description copied from class: `AbstractMenuGroup`
  Disables the menu component, so it will not activate/expand

  Specified by:
    `isDisabled` in class `AbstractMenuGroup`

### setDisabled

    public void setDisabled(boolean disabled)

### getHorizontalOffset

    public int getHorizontalOffset()

  Specified by:
    `getHorizontalOffset` in class `AbstractMenuGroup`

### setHorizontalOffset

    public void setHorizontalOffset(int horizontalOffset)

### getIcon

    public String getIcon()

  Description copied from class: `AbstractMenuGroup`
  The icon to be displayed with the menu item

  Specified by:
    `getIcon` in class `AbstractMenuGroup`

### setIcon

    public void setIcon(String icon)

### getIconDisabled

    public String getIconDisabled()

  Description copied from class: `AbstractMenuGroup`
  The icon to be displayed with the menu item when it is disabled

  Specified by:
    `getIconDisabled` in class `AbstractMenuGroup`

### setIconDisabled

    public void setIconDisabled(String iconDisabled)

### getJointPoint

    public org.richfaces.component.Positioning getJointPoint()

  Specified by:
    `getJointPoint` in class `AbstractMenuGroup`

### setJointPoint

    public void setJointPoint(org.richfaces.component.Positioning jointPoint)

### getLabel

    public String getLabel()

  Description copied from class: `AbstractMenuGroup`
  The text label for the menu item. Alternatively, use the label facet to define content for the label

  Specified by:
    `getLabel` in class `AbstractMenuGroup`

### setLabel

    public void setLabel(String label)

### getLang

    public String getLang()

### setLang

    public void setLang(String lang)

### getOnclick

    public String getOnclick()

### setOnclick

    public void setOnclick(String onclick)

### getOndblclick

    public String getOndblclick()

### setOndblclick

    public void setOndblclick(String ondblclick)

### getOnhide

    public String getOnhide()

  Description copied from class: `AbstractMenuGroup`
  The client-side script method to be called when this menuGroup is hidden

  Specified by:
    `getOnhide` in class `AbstractMenuGroup`

### setOnhide

    public void setOnhide(String onhide)

### getOnkeydown

    public String getOnkeydown()

### setOnkeydown

    public void setOnkeydown(String onkeydown)

### getOnkeypress

    public String getOnkeypress()

### setOnkeypress

    public void setOnkeypress(String onkeypress)

### getOnkeyup

    public String getOnkeyup()

### setOnkeyup

    public void setOnkeyup(String onkeyup)

### getOnmousedown

    public String getOnmousedown()

### setOnmousedown

    public void setOnmousedown(String onmousedown)

### getOnmousemove

    public String getOnmousemove()

### setOnmousemove

    public void setOnmousemove(String onmousemove)

### getOnmouseout

    public String getOnmouseout()

### setOnmouseout

    public void setOnmouseout(String onmouseout)

### getOnmouseover

    public String getOnmouseover()

### setOnmouseover

    public void setOnmouseover(String onmouseover)

### getOnmouseup

    public String getOnmouseup()

### setOnmouseup

    public void setOnmouseup(String onmouseup)

### getOnshow

    public String getOnshow()

  Description copied from class: `AbstractMenuGroup`
  The client-side script method to be called when this menuGroup is shown

  Specified by:
    `getOnshow` in class `AbstractMenuGroup`

### setOnshow

    public void setOnshow(String onshow)

### getStyle

    public String getStyle()

  Specified by:
    `getStyle` in class `AbstractMenuGroup`

### setStyle

    public void setStyle(String style)

### getStyleClass

    public String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractMenuGroup`

### setStyleClass

    public void setStyleClass(String styleClass)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `javax.faces.component.ValueHolder`
  Specified by:
    `getValue` in class `AbstractMenuGroup`

### setValue

    public void setValue(Object value)

  Specified by:
    `setValue` in interface `javax.faces.component.ValueHolder`
  Overrides:
    `setValue` in class `javax.faces.component.UIOutput`

### getVerticalOffset

    public int getVerticalOffset()

  Specified by:
    `getVerticalOffset` in class `AbstractMenuGroup`

### setVerticalOffset

    public void setVerticalOffset(int verticalOffset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.2.3.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.